Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 22 Apr 2023 06:29:28 +0000 (UTC)

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Max,

I order online on 17th April but until today 21st April i did not received the items. As per your system the order was delivered on 18th but i did not received it the order number is 9427214617 and this is my delivery address.

Al Tameer Building
Room 602 
Al Barsha 1

The delivery team sent the photo that the order has been delivered but the photo sent to me is not in our bldg. the color of the door on the photo is not my house. I did not received any calls during the "delivery" i only received an SMS message that it was delivered but nothing was received from my side.

Obviously, the order was delivered to the wrong address and until now no feedback from your side on this issue.

The items were paid and no feedback was received on our complain.

This is not the kind of service we are expecting from you since this is not the first time we order online.

I am hoping you can resolve the issue or better yet return the money because the items i ordered was paid already.

Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6137029